## bigseek

#### OS/161 Reference Manual

### Name

bigseek - test 64-bit seek positions

### Synopsis

`/testbin/bigseek`

### Description

`bigseek` tests manipulation of seek pointers past 231. It is somewhat limited in what it can do, because neither SFS nor emufs supports files larger than 232 bytes; but it can still seek around and check that the resulting seek position is reported correctly.

### Requirements

`bigseek` uses the following system calls:

- open
- lseek
- read
- write
- close
- remove
- _exit

`bigseek` should work once you have implemented the basic system calls. Until you implement remove, it will not be able to delete its test file; this is merely untidy, not a problem.